Bug 1564787 - FuzzyOcr uses gifinter which is no longer available
Summary: FuzzyOcr uses gifinter which is no longer available
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: spamassassin-FuzzyOcr
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-07 21:38 UTC by Göran Uddeborg
Modified: 2019-05-28 23:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:40:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Göran Uddeborg 2018-04-07 21:38:11 UTC
Description of problem:
FuzzyOcr emits warnings like this:

apr  7 23:33:33.652 [32015] warn: FuzzyOcr: Cannot find executable for gifinter


Version-Release number of selected component (if applicable):
spamassassin-FuzzyOcr-3.6.0-17.fc28.noarch
giflib-utils-5.1.4-1.fc28.x86_64


How reproducible:
Every time


Steps to Reproduce:
1. run "sa-learn --ham" on some legitimate message


Actual results:
Warning shown.


Expected results:
No warning.


Additional info:
As I understand it gifinter used to  be part of the giflib-utils package up to F27.  In the new version of giflib in F28, the program is no longer included.

Comment 1 Derek Atkins 2019-01-13 21:12:56 UTC
I created an upstream bug report for gifinter no longer being included in the giflib release tarball.  See https://sourceforge.net/p/giflib/bugs/115/

Comment 2 Bruno Larini 2019-02-15 12:27:49 UTC
Quoting the upstream maintainer Eric S. Raymond on his reply about the issue:
> Use the ImageMack conevert(1) tool. gifinter was removed in 2012.
> 
> I'm in the process of retiring as much of the tools part of the distribution as I can. If a job can be done by the ImageMagick suite, there's no good reason for it to live here.

As I have the same issue as OP, I am curious on how to solve FuzzyOcr dependency using ImageMagick, as suggested by him.

Comment 3 Ben Cotton 2019-05-02 19:54:05 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 23:40:35 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.